gi-pango-1.0.19: Pango bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Pango.Objects.FontFace

Contents

- Exported types
- Methods
  - describe
  - getFaceName
  - isSynthesized
  - listSizes

Description

The `FontFace` structure is used to represent a group of fonts with the same family, slant, weight, width, but varying sizes.

Synopsis

- newtype FontFace = FontFace (ManagedPtr FontFace)
- class GObject o => IsFontFace o
- toFontFace :: (MonadIO m, IsFontFace o) => o -> m FontFace
- noFontFace :: Maybe FontFace
- fontFaceDescribe :: (HasCallStack, MonadIO m, IsFontFace a) => a -> m FontDescription
- fontFaceGetFaceName :: (HasCallStack, MonadIO m, IsFontFace a) => a -> m Text
- fontFaceIsSynthesized :: (HasCallStack, MonadIO m, IsFontFace a) => a -> m Bool
- fontFaceListSizes :: (HasCallStack, MonadIO m, IsFontFace a) => a -> m (Maybe [Int32])

# Exported types

newtype FontFace Source #

Memory-managed wrapper type.

Constructors

FontFace (ManagedPtr FontFace) |

Instances

GObject FontFace Source # |
Instance details Defined in GI.Pango.Objects.FontFace Methods gobjectType :: FontFace -> IO GType Source #
IsObject FontFace Source # |
Instance details Defined in GI.Pango.Objects.FontFace
IsFontFace FontFace Source # |
Instance details Defined in GI.Pango.Objects.FontFace

class GObject o => IsFontFace o Source #

Type class for types which can be safely cast to `FontFace`, for instance with `toFontFace`.

Instances

(GObject a, (UnknownAncestorError FontFace a :: Constraint)) => IsFontFace a Source # |
Instance details Defined in GI.Pango.Objects.FontFace
IsFontFace FontFace Source # |
Instance details Defined in GI.Pango.Objects.FontFace

toFontFace :: (MonadIO m, IsFontFace o) => o -> m FontFace Source #

Cast to `FontFace`, for types for which this is known to be safe. For general casts, use `castTo`.

noFontFace :: Maybe FontFace Source #

A convenience alias for `Nothing` :: `Maybe` `FontFace`.

# Methods

## describe

fontFaceDescribe Source #

Arguments

:: (HasCallStack, MonadIO m, IsFontFace a) |
=> a | `face`: a `FontFace`
-> m FontDescription | Returns: a newly-created `FontDescription` structure holding the description of the face. Use `fontDescriptionFree` to free the result.

Returns the family, style, variant, weight and stretch of a `FontFace`. The size field of the resulting font description will be unset.

## getFaceName

fontFaceGetFaceName Source #

Arguments

:: (HasCallStack, MonadIO m, IsFontFace a) |
=> a | `face`: a `FontFace`.
-> m Text | Returns: the face name for the face. This string is owned by the face object and must not be modified or freed.

Gets a name representing the style of this face among the different faces in the `FontFamily` for the face. This name is unique among all faces in the family and is suitable for displaying to users.

## isSynthesized

fontFaceIsSynthesized Source #

Arguments

:: (HasCallStack, MonadIO m, IsFontFace a) |
=> a | `face`: a `FontFace`
-> m Bool | Returns: whether `face` is synthesized.

Returns whether a `FontFace` is synthesized by the underlying font rendering engine from another face, perhaps by shearing, emboldening, or lightening it.

Since: 1.18

## listSizes

fontFaceListSizes Source #

Arguments

:: (HasCallStack, MonadIO m, IsFontFace a) |
=> a | `face`: a `FontFace`.
-> m (Maybe [Int32]) |

List the available sizes for a font. This is only applicable to bitmap fonts. For scalable fonts, stores `Nothing` at the location pointed to by `sizes` and 0 at the location pointed to by `nSizes`. The sizes returned are in Pango units and are sorted in ascending order.

Since: 1.4